<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>PIC</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    PIC
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-11">
                    <div class="mb-3">
                        <select class="form-select" id="selectsatu" name="periodeAnggaran">
                            <option th:each="data : ${periode}"
                                    th:selected="(${data} == *{selectedPeriode})"
                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                    th:value="${data.id}">sdasd</option>
                        </select>
                        <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                    </div>
                </div>
                <div class="col-md-1" align="right">
                    <button type="submit" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Chose</button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>

        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col" >Department Code</th>
                            <th scope="col" >Department Name</th>
                            <th scope="col" >PIC</th>
                            <th scope="col" style="width: 40px"></th>

                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataPicAnggaran,row : ${listPicAnggaran}">
                            <td th:text="${(row.index + 1) + (listPicAnggaran.number * listPicAnggaran.size)}">1.</td>
                            <td th:text="${dataPicAnggaran.departemen.kodeDepartemen}">BEASISWA</td>
                            <td th:text="${dataPicAnggaran.departemen.namaDepartemen}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataPicAnggaran.karyawan.namaKaryawan}">-</td>
                            <td>
                                <a th:href="@{/setting/picanggaran/edit(id = ${dataPicAnggaran.id})}" class="link-success" >Setting</a>
                            </td>

                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
    </main>

</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>PIC</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--        <h1>-->
<!--            PIC-->
<!--            <small>List Data</small>-->
<!--        </h1>-->
<!--        <ol class="breadcrumb">-->
<!--            <li class="treeview active"> Setting</li>-->
<!--            <li class="active"> PIC</li>-->
<!--        </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--        <div class="row">-->
<!--            <div class="col-md-12">-->
<!--                <div class="box">-->
<!--                    <form method="get">-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <h3 class="box-title">List of PIC</h3>-->
<!--                                </div>-->
<!--                                <div class="col-md-6" align="right">-->
<!--                                    Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <div class="form-group">-->
<!--                                        <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>-->

<!--                                        <div class="col-sm-8">-->
<!--                                            <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">-->
<!--                                                <option th:each="data : ${periode}"-->
<!--                                                        th:selected="(${data} == *{selectedPeriode})"-->
<!--                                                        th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"-->
<!--                                                        th:value="${data.id}">sdasd</option>-->
<!--                                            </select>-->
<!--                                        </div>-->

<!--                                        <div class="col-sm-2">-->
<!--                                            <button type="submit" class="btn btn-default">Chose</button>-->
<!--                                        </div>-->
<!--                                    </div>-->

<!--                                </div>-->



<!--                                <div class="col-md-6" align="right">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                        <div class="input-group-btn">-->
<!--                                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                            </div>-->
<!--                        </div>-->
<!--                    </form>-->
<!--                    &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                    <div class="box-body table-responsive no-padding">-->
<!--                        <table class="table table-bordered">-->
<!--                            <tr>-->
<!--                                <th style="width: 10px">#</th>-->
<!--                                <th>Department Code</th>-->
<!--                                <th>Department Name</th>-->
<!--                                <th>PIC</th>-->
<!--                                <th style="width: 40px"></th>-->
<!--                            </tr>-->
<!--                            <tr th:each="dataPicAnggaran,row : ${listPicAnggaran}">-->
<!--                                <td th:text="${(row.index + 1) + (listPicAnggaran.number * listPicAnggaran.size)}">1.</td>-->
<!--                                <td th:text="${dataPicAnggaran.departemen.kodeDepartemen}">BEASISWA</td>-->
<!--                                <td th:text="${dataPicAnggaran.departemen.namaDepartemen}">Pendapatan dari Beasiswa</td>-->
<!--                                <td th:text="${dataPicAnggaran.karyawan.namaKaryawan}">-</td>-->
<!--                                <td>-->
<!--                                    <a th:href="@{/setting/picanggaran/edit(id = ${dataPicAnggaran.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                </td>-->

<!--                            </tr>-->

<!--                            <tr>-->
<!--                                <th style="width: 10px">#</th>-->
<!--                                <th>Department Code</th>-->
<!--                                <th>Department Name</th>-->
<!--                                <th>PIC</th>-->
<!--                                <th style="width: 40px"></th>-->
<!--                            </tr>-->


<!--                        </table>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer clearfix">-->
<!--                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                        </ul>-->
<!--                    </div>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box &ndash;&gt;-->
<!--            </div>-->
<!--        </div>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->